Delete a project
OpenAPI contract
- Method
- DELETE
- Path
/api/v1/projects/{id}- Security
- jwtBearer (bearer) OR automationKey (bearer)
- Response status
- 204 400 401 403 404 409 429 500
Request and response schemas
JSON
{
"requestBody": {},
"responses": {
"204": {
"description": "Project deleted",
"content": {}
},
"400": {
"description": "Invalid request",
"content": {
"application/json": {
"$ref": "#/components/schemas/RequestError"
}
}
},
"401": {
"description": "Authentication required or invalid",
"content": {
"application/json": {
"$ref": "#/components/schemas/SecurityError"
}
}
},
"403": {
"description": "Authenticated but not permitted",
"content": {
"application/json": {
"$ref": "#/components/schemas/SecurityError"
}
}
},
"404": {
"description": "Requested project or build was not found",
"content": {
"application/json": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"409": {
"description": "Request conflicts with current project state",
"content": {
"application/json": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"429": {
"description": "HTTP rate limit or API-key NCU usage limit exceeded",
"content": {
"application/json": {
"$ref": "#/components/schemas/RateLimitError"
}
}
},
"500": {
"description": "Unexpected server error",
"content": {
"application/json": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
}DELETE /api/v1/projects/{id} accepts a JWT or an nfy_ key with project:write and requires effective project:manage capability. It unlinks associated build records and removes direct grants before deleting the project; it does not promise to delete build records or their stored artifacts. The successful response has no body.
http
DELETE /api/v1/projects/{id}
Authorization: Bearer <access token>